Fedora Core 2 : foomatic-3.0.1-3.1 (2004-303)

High Nessus Plugin ID 14789


The remote Fedora Core host is missing a security update.


Sebastian Krahmer reported a bug in the cupsomatic and foomatic-rip print filters, used by the CUPS print spooler. An attacker who has printing access could send a carefully named file to the print server causing arbitrary commands to be executed as root. The Common Vulnerabilities and Exposures project (cve.mitre.org) has assigned the name CVE-2004-0801 to this issue.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected foomatic and / or foomatic-debuginfo packages.

See Also


Plugin Details

Severity: High

ID: 14789

File Name: fedora_2004-303.nasl

Version: $Revision: 1.15 $

Type: local

Agent: unix

Published: 2004/09/22

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:foomatic, p-cpe:/a:fedoraproject:fedora:foomatic-debuginfo, cpe:/o:fedoraproject:fedora_core:2

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2004/09/21

Reference Information

CVE: CVE-2004-0801

FEDORA: 2004-303